Bug 211652 - [PATCH] graphics/scantailor fails to compile with several error messages
Summary: [PATCH] graphics/scantailor fails to compile with several error messages
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Veniamin Gvozdikov
URL:
Keywords:
Depends on:
Blocks: 201800
  Show dependency treegraph
 
Reported: 2016-08-08 00:53 UTC by Walter Schwarzenfeld
Modified: 2016-08-22 13:43 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (vg)


Attachments
svn-diff_graphics_scantailor (4.12 KB, patch)
2016-08-08 00:53 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Walter Schwarzenfeld freebsd_triage 2016-08-08 00:53:15 UTC
Created attachment 173389 [details]
svn-diff_graphics_scantailor

Graphics/scantailor fails to compile with different error messages (10.3-RELEASE).
Errir Messages like:
calling a private constructor of class in mathclass in math/MatrixCalc.h
GridTraverser.cpp misses #include <cstdlib>.
 error: call to 'ref' is ambiguous  (-ProfilesDialog.cpp).
 undefined reference to symbol `cos@@FBSD_1.0' (try adding -lm)
---
Found some patches in the net, rmeove USES_GCC line-
Added USES_XORG= xrender.and USE_QT4 corelib.
--

Compiles now in the port without problems.
---
It seems there is on SourcForge a newer version 0.9.12.2.
Comment 1 Walter Schwarzenfeld freebsd_triage 2016-08-08 12:09:56 UTC
Portlint ok.
Poudriere builds on 103amd64,93amd64, 103i386 and 93i386 ok.
Comment 2 Walter Schwarzenfeld freebsd_triage 2016-08-20 11:45:59 UTC
CC'd maintainer.
Comment 3 commit-hook freebsd_committer 2016-08-22 13:41:30 UTC
A commit references this bug:

Author: vg
Date: Mon Aug 22 13:40:51 UTC 2016
New revision: 420616
URL: https://svnweb.freebsd.org/changeset/ports/420616

Log:
  - Fix complie errors

  PR:		ports/211652
  Submitted by:	w.schwarzenfeld@utanet.at

Changes:
  head/graphics/scantailor/Makefile
  head/graphics/scantailor/files/patch-GridTraverser_cpp
  head/graphics/scantailor/files/patch-MatrixCalc.h
  head/graphics/scantailor/files/patch-ProfilesDialog_cpp
Comment 4 Veniamin Gvozdikov freebsd_committer 2016-08-22 13:42:13 UTC
Committed, thank you!